
Robotics Service Bus - Bug #937
common lisp logger crash
03/09/2012 10:59 AM - J. Wienke

Status: Rejected Start date: 03/09/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 0%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version:
Description

Event
  Scope          : /nao/identities/
  Id             : 298611F1-65D0-5DC9-AA9E-5B8A674EC203
  Sequence-Number: 72
  Origin         : E742AE72-4A03-40C0-9D80-FEA43924C866
  Method         : N/A
Timestamps
  Create : 2012-03-09T10:56:20.672187+01:00
  Send   : 2012-03-09T10:56:20.893268+01:00
  Receive: 2012-03-09T10:56:20.893754+01:00
  Deliver: 2012-03-09T10:56:20.893760+01:00
Meta-Data
  Rsb.Transport.Payload-Size: 480
  Rsb.Transport.Wire-Schema : .rst.vision.HeadObjects
Causes
  2001259B-3385-5F9F-A63F-AFBCB3D1442B
Payload (RST.VISION:HEAD-OBJECTS)
  #<HEAD-OBJECTS {EB0A0E1}>
    Head-Objects: 
      #<HEAD-OBJECT {EB0A451}>
        Tracking-Info       : #<TRACKING-INFO {EB0A489}>
          Id: 234
        Region              : #<BOUNDING-BOX {EB0A4A9}>
          Top-Left    : #<VEC2DINT {EB0A4D9}>
            X: 81
            Y: 4
          Width       : 37
          Height      : 36
          Image-Width : 320
          Image-Height: 240
        Position            : #<VEC3DFLOAT {EB0A4F9}>
          X: 0.0f0
          Y: 0.0f0
          Z: 0.0f0
        Pose                : #<VEC3DFLOAT {EB0A521}>
          X: -5.082034f0
          Y: -4.609726f0
          Z: 0.0f0
        Faces               : <empty sequence>
        Speaking-Probability: 0.0f0
        Vfoa-Target         : 4E 61 6F ("Nao")
        Identity            : #<CLASSIFICATION-RESULT {EB0A8A1}>
          Decided-Class: <empty sequence>
          Classes      : 
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0AC51}>
              Name      : 4D 2E 44 6F 62 69 61 73 ("M.Dobias")
              Confidence: -16.523628f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0ACF1}>
              Name      : 4D 2E 44 6F 6C 65 6A 73 69 ("M.Dolejsi")
              Confidence: -17.477701f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0AD89}>
              Name      : 4D 2E 48 61 76 6C 65 6E 61 ("M.Havlena")
              Confidence: -27.016886f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0ADE1}>
              Name      : 53 2E 53 75 72 67 65 6E 74 ("S.Surgent")
              Confidence: -12.294699f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0AE89}>
              Name      : 56 2E 46 72 61 6E 63 ("V.Franc")
              Confidence: -20.405762f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0AED9}>
              Name      : 5A 2E 4B 75 6B 65 6C 6F 76 61 ("Z.Kukelova")
              Confidence: -38.89241f0
      #<HEAD-OBJECT {EB0AF69}>
        Tracking-Info       : #<TRACKING-INFO {EB0AFA1}>
          Id: 236
        Region              : #<BOUNDING-BOX {EB0AFC1}>
          Top-Left    : #<VEC2DINT {EB0AFF1}>
            X: 144
            Y: 73
          Width       : 20
          Height      : 20
          Image-Width : 320
          Image-Height: 240
        Position            : #<VEC3DFLOAT {EB0B011}>
          X: 0.0f0
          Y: 0.0f0
          Z: 0.0f0
        Pose                : #<VEC3DFLOAT {EB0B039}>
          X: -35.9868f0
          Y: -14.30702f0
          Z: 0.0f0
        Faces               : <empty sequence>
        Speaking-Probability: 0.0f0
        Vfoa-Target         : 50 61 72 74 6E 65 72 ("Partner")
        Identity            : #<CLASSIFICATION-RESULT {EB0B301}>
          Decided-Class: <empty sequence>
          Classes      : 
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0B651}>
              Name      : 4D 2E 44 6F 62 69 61 73 ("M.Dobias")
              Confidence: -12.801951f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0B6D9}>
              Name      : 4D 2E 44 6F 6C 65 6A 73 69 ("M.Dolejsi")
              Confidence: -17.293777f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0B771}>
              Name      : 4D 2E 48 61 76 6C 65 6E 61 ("M.Havlena")
              Confidence: -21.92806f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0B7C9}>
              Name      : 53 2E 53 75 72 67 65 6E 74 ("S.Surgent")
              Confidence: -21.616196f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0B871}>
              Name      : 56 2E 46 72 61 6E 63 ("V.Franc")
              Confidence: -7.6824f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0B8C1}>
              Name      : 5A 2E 4B 75 6B 65 6C 6F 76 61 ("Z.Kukelova")
              Confidence: -22.388239f0
      #<HEAD-OBJECT {EB0B959}>
        Tracking-Info       : #<TRACKING-INFO {EB0B991}>
          Id: 237
        Region              : #<BOUNDING-BOX {EB0B9B1}>
          Top-Left    : #<VEC2DINT {EB0B9E1}>
            X: 137
            Y: 80
          Width       : 29
          Height      : 28
          Image-Width : 320
          Image-Height: 240
        Position            : #<VEC3DFLOAT {EB0BA01}>
          X: 0.0f0
          Y: 0.0f0
          Z: 0.0f0
        Pose                : #<VEC3DFLOAT {EB0BA29}>
          X: -16.355394f0
          Y: -3.219666f0
          Z: 0.0f0
        Faces               : <empty sequence>
        Speaking-Probability: 0.0f0
        Vfoa-Target         : 4E 61 6F ("Nao")
        Identity            : #<CLASSIFICATION-RESULT {EB0BCF1}>
          Decided-Class: <empty sequence>
          Classes      : 
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0C041}>
              Name      : 4D 2E 44 6F 62 69 61 73 ("M.Dobias")
              Confidence: -3.4086163f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0C0C9}>
              Name      : 4D 2E 44 6F 6C 65 6A 73 69 ("M.Dolejsi")
              Confidence: -7.259902f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0C161}>
              Name      : 4D 2E 48 61 76 6C 65 6E 61 ("M.Havlena")
              Confidence: -8.371904f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0C1B9}>
              Name      : 53 2E 53 75 72 67 65 6E 74 ("S.Surgent")
              Confidence: -4.054639f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0C261}>
              Name      : 56 2E 46 72 61 6E 63 ("V.Franc")
              Confidence: -3.0163262f0
            #<CLASSIFICATION-RESULT/CLASS-WITH-PROBABILITY {EB0C2B1}>
              Name      : 5A 2E 4B 75 6B 65 6C 6F 76 61 ("Z.Kukelova")
              Confidence: -6.769093f0
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
The encoded data
0A DD 04 32 10 2F 6E 61 6F 2F 69 64 65 6E 74 69 74 69 65 73 2F 3A 17 2E 72 73 74 2E 76 69 73 69 6F 6E 2E 48 65 61 64 4F 62 6A 65 63 74 73 4A E9 03 0A A4 01 0A 03 08 EA 01 12 19 0A 0D 08 58 10 FC FF FF FF FF FF FF FF FF 01 10 28 18 27 20 C0 02
28 F0 01 22 0F 0D EF 99 C9 C0 15 B1 E9 9A C0 1D 00 00 00 00 42 03 4E 61 6F 4A 6C 0A 00 12 0F 0A 08 4D 2E 44 6F 62 69 61 73 15 64 30 84 C1 12 10 0A 09 4D 2E 44 6F 6C 65 6A 73 69 15 55 D2 8B C1 12 10 0A 09 4D 2E 48 61 76 6C 65 6E 61 15 95 22 D8
C1 12 10 0A 09 53 2E 53 75 72 67 65 6E 74 15 16 B7 44 C1 12 0E 0A 07 56 2E 46 72 61 6E 63 15 00 3F A3 C1 12 11 0A ...
could not be decoded :
  After unpacking, the notification
  #<RSB.PROTOCOL:FRAGMENTED-NOTIFICATION {EB4A641}>
    [standard-object]

  Slots with :INSTANCE allocation:
    NOTIFICATION    = #<RSB.PROTOCOL:NOTIFICATION {EB4A669}>
    NUM-DATA-PARTS  = 1
    DATA-PART       = 0

  could not be converted into an event.
Caused by:
> The wire data
> #(10 164 1 10 3 8 234 1 18 25 10 13 8 88 16 252 255 255 255 255 255 255 255 255 1 16 40 24 39 32 192 2 40 240 1 34 15 13 239 153 201 192 21 177 233 154 192 29 0 0 0 0 66 3 78 97 111 74 108 10 0 18 15 10 8 77 46 68 111 98 105 97 115 21 100
>   48 132 193 18 16 10 9 77 46 68 111 108 101 106 115 105 21 85 210 139 193 18 16 10 9 77 46 72 97 118 108 101 110 97 21 149 34 216 193 18 16 10 9 83 46 83 117 114 103 101 110 116 21 22 183 68 193 18 14 10 7 86 46 70 114 97 110 99 21 0 63
>   163 193 18 17 10 10 90 46 75 117 107 101 108 111 118 97 21 212 145 27 194 10 160 1 10 3 8 236 1 18 17 10 5 8 160 1 16 60 16 21 24 21 32 192 2 40 240 1 34 15 13 50 136 47)
> ... (in :|.rst.vision.HeadObjects| wire-schema) could not be converted to domain type :UNDETERMINED
> Caused by:
> > The value 18446744073709551612 is not of type (SIGNED-BYTE 32).

---------------------------------------------------------------------------
The encoded data
0A DD 04 32 10 2F 6E 61 6F 2F 69 64 65 6E 74 69 74 69 65 73 2F 3A 17 2E 72 73 74 2E 76 69 73 69 6F 6E 2E 48 65 61 64
4F 62 6A 65 63 74 73 4A E9 03 0A A4 01 0A 03 08 EA 01 12 19 0A 0D 08 58 10 FC FF FF FF FF FF FF FF FF 01 10 28 18 27
20 C0 02
28 F0 01 22 0F 0D EF 99 C9 C0 15 B1 E9 9A C0 1D 00 00 00 00 42 03 4E 61 6F 4A 6C 0A 00 12 0F 0A 08 4D 2E 44 6F 62
69 61 73 15 64 30 84 C1 12 10 0A 09 4D 2E 44 6F 6C 65 6A 73 69 15 55 D2 8B C1 12 10 0A 09 4D 2E 48 61 76 6C 65 6E 61
15 95 22 D8
C1 12 10 0A 09 53 2E 53 75 72 67 65 6E 74 15 16 B7 44 C1 12 0E 0A 07 56 2E 46 72 61 6E 63 15 00 3F A3 C1 12 11 0A ...
could not be decoded :
  After unpacking, the notification
  #<RSB.PROTOCOL:FRAGMENTED-NOTIFICATION {EB4A641}>
    [standard-object]

  Slots with :INSTANCE allocation:
    NOTIFICATION    = #<RSB.PROTOCOL:NOTIFICATION {EB4A669}>
    NUM-DATA-PARTS  = 1
    DATA-PART       = 0

  could not be converted into an event.
Caused by:
> The wire data
> #(10 164 1 10 3 8 234 1 18 25 10 13 8 88 16 252 255 255 255 255 255 255 255 255 1 16 40 24 39 32 192 2 40 240 1 34 15
13 239 153 201 192 21 177 233 154 192 29 0 0 0 0 66 3 78 97 111 74 108 10 0 18 15 10 8 77 46 68 111 98 105 97 115 21
100
>   48 132 193 18 16 10 9 77 46 68 111 108 101 106 115 105 21 85 210 139 193 18 16 10 9 77 46 72 97 118 108 101 110 97
21 149 34 216 193 18 16 10 9 83 46 83 117 114 103 101 110 116 21 22 183 68 193 18 14 10 7 86 46 70 114 97 110 99 21 0
63
>   163 193 18 17 10 10 90 46 75 117 107 101 108 111 118 97 21 212 145 27 194 10 160 1 10 3 8 236 1 18 17 10 5 8 160 1
16 60 16 21 24 21 32 192 2 40 240 1 34 15 13 50 136 47)
> ... (in :|.rst.vision.HeadObjects| wire-schema) could not be converted to domain type :UNDETERMINED
> Caused by:
> > The value 18446744073709551612 is not of type (SIGNED-BYTE 32).

I still cannot assign issues to version 0.6

Related issues:
Related to Robotics Service Bus - Bug # 927: Logger randomly crashes Resolved 03/05/2012

History
#1 - 03/09/2012 11:12 AM - J. Moringen

Version version:0.6 is closed. Would setting it to open be the right thing to do?

Also, is there a log file, containing the event which makes the logger fail?

#2 - 03/09/2012 11:17 AM - J. Moringen

In such cases, could you attach the result of running the respective program as
logger --debug REMAINING-ARGUMENTS

#3 - 03/09/2012 11:52 AM - J. Wienke

I have opened the version.

But right now it does not appear again with debug.

#4 - 03/12/2012 01:26 PM - J. Moringen

Did this happen again? Otherwise, I would just close the issue.

#5 - 03/12/2012 01:48 PM - J. Wienke

I could not reproduce it again.

#6 - 03/12/2012 01:58 PM - J. Moringen
- Status changed from New to Rejected

Some problem probably remains, but we cannot reproduce the incorrect behavior.
